Can't get Cuda to run


log in

Advanced search

Questions and Answers : GPU applications : Can't get Cuda to run

Author Message
Freggel
Send message
Joined: 12 Apr 09
Posts: 5
Credit: 385
RAC: 0
Message 885144 - Posted: 13 Apr 2009, 23:08:47 UTC

Hi there,

i just installt a 9800 GT and crunching with CUDA will not work . Grrrr.

I thing i got the right Boinc/Driver Version so whats wrong ?

Here is a Snippet from my Boinc LOG.

Mo 13 Apr 2009 23:06:22 CEST||Starting BOINC client version 6.4.5 for i686-pc-linux-gnu
Mo 13 Apr 2009 23:06:22 CEST||log flags: task, file_xfer, sched_ops
Mo 13 Apr 2009 23:06:22 CEST||Libraries: libcurl/7.18.2 OpenSSL/0.9.8g zlib/1.2.3.3 libidn/1.10
Mo 13 Apr 2009 23:06:22 CEST||Data directory: /var/lib/boinc-client
Mo 13 Apr 2009 23:06:22 CEST||Processor: 2 AuthenticAMD AMD Athlon(tm) 64 X2 Dual Core Processor 4800+ [Family 15 Model 107 Stepping 1]
Mo 13 Apr 2009 23:06:22 CEST||Processor features: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch
Mo 13 Apr 2009 23:06:22 CEST||OS: Linux: 2.6.28-11-generic
Mo 13 Apr 2009 23:06:22 CEST||Memory: 1.97 GB physical, 2.97 GB virtual
Mo 13 Apr 2009 23:06:22 CEST||Disk: 22.91 GB total, 16.68 GB free
Mo 13 Apr 2009 23:06:22 CEST||Local time is UTC +2 hours
Mo 13 Apr 2009 23:06:22 CEST||Not using a proxy
Mo 13 Apr 2009 23:06:22 CEST||Can't load library libcudart
Mo 13 Apr 2009 23:06:22 CEST||No coprocessors

Video-Driver is from UBUNTU Version 180.44.

OS is Ubuntu 9.04 32Bit.

Tschau Freggel


OzzFan
Volunteer tester
Avatar
Send message
Joined: 9 Apr 02
Posts: 13320
Credit: 27,937,944
RAC: 16,099
United States
Message 885151 - Posted: 13 Apr 2009, 23:24:58 UTC - in response to Message 885144.

I don't believe CUDA is supported on anything other than Windows at this time.
____________

slozomby
Send message
Joined: 16 Nov 04
Posts: 20
Credit: 187,273
RAC: 0
United States
Message 885175 - Posted: 14 Apr 2009, 0:22:54 UTC

unfortunatly gpugrid is down. as they have a good howto on getting cuda to work properly in linux.

it involves copying/linking libcudart.so somewhere else.

this is your error message:
Can't load library libcudart


____________

Profile Hammeh
Volunteer tester
Avatar
Send message
Joined: 21 May 01
Posts: 135
Credit: 1,143,316
RAC: 0
United Kingdom
Message 885282 - Posted: 14 Apr 2009, 9:27:21 UTC

GPUGrid is back up and running.
I think this is the thread you are looking for.
____________

Freggel
Send message
Joined: 12 Apr 09
Posts: 5
Credit: 385
RAC: 0
Message 885349 - Posted: 14 Apr 2009, 20:55:28 UTC - in response to Message 885282.

My biggest Prob. would be this

OS is Ubuntu 9.04 32Bit.

They all say that all CUDA-Apps. just running on 64Bit.

Is this right ?

Tschau Freggel

slozomby
Send message
Joined: 16 Nov 04
Posts: 20
Credit: 187,273
RAC: 0
United States
Message 885482 - Posted: 15 Apr 2009, 7:51:38 UTC - in response to Message 885349.

to my knowlege there are no 32 bit cuda apps from any boinc project. the nvida sdk has a 32bit version and it might be possible to recompile the seti app to get it to work. source code availible from here:
http://setiathome.berkeley.edu/sah_source_code.php

sorry i missed the 32 bit line in your original post.

my guess is the developers didnt want to spend the time to test multiple versions as there really arent many machines capable of runing cuda apps that cant run 64 bit linux. (now someones gunna show up with a 486 with a pci verision of the 9400gt...)

i havent run linux on 32 bit for a while as i retired all my non 64bit capable processors ( read as: electric bill too high). and it doesnt suffer from the lack of native 64bit apps that windows does. i'd recommend switching unless theres a specific app that you need that isnt availible in 64 bit from an apt repository. your machine will definately run it.
http://setiathome.berkeley.edu/show_host_detail.php?hostid=4879716
____________

Profile Ageless
Avatar
Send message
Joined: 9 Jun 99
Posts: 12130
Credit: 2,525,019
RAC: 653
Netherlands
Message 885490 - Posted: 15 Apr 2009, 8:18:21 UTC - in response to Message 885482.

to my knowlege there are no 32 bit cuda apps from any boinc project. the nvida sdk has a 32bit version and it might be possible to recompile the seti app to get it to work. source code availible from here:
http://setiathome.berkeley.edu/sah_source_code.php

No need to reinvent the wheel, when Crunch3r has a 32bit CUDA app and a 64bit CUDA app for Linux.

These run with the anonymous platform though and therefore need to be manually updated if Seti ever releases a newer CUDA version, or when Seti releases its own Seti CUDA application.

There's a readme.txt in the zip file. read it for instructions.
____________
Jord

Loving awareness is free.

slozomby
Send message
Joined: 16 Nov 04
Posts: 20
Credit: 187,273
RAC: 0
United States
Message 885570 - Posted: 15 Apr 2009, 15:58:21 UTC - in response to Message 885490.

good to know. i was tooking at raisterman's app list and didnt see one.

____________

Freggel
Send message
Joined: 12 Apr 09
Posts: 5
Credit: 385
RAC: 0
Message 885913 - Posted: 16 Apr 2009, 21:56:13 UTC

@Ageless: Thanks, good Link.

Now i got the 32bit CUDA app from Crunch3r.

But i need a Hand to Install it properly.

I followed the Instructions , like this.

1. I use the Nvidia Driver V180.44 from Ubuntu
2. I put the whole cudalibs folder to /usr/lib
3. modified the ld.so.conf and start ldconfig
4. install the CUDA Toolkit V2.1
5. copy the setiathome-CUDA-6.08.i686-pc-linux-gnu and app_info.xml Files
to /var/lib/boinc-client/projects/setiathome.berkeley.edu
6. ldd setiathome-CUDA-6.08.i686-pc-linux-gnu shows no Errors or Warrnings

But it doesn't Work for me. :-(
Got this:

Do 16 Apr 2009 00:08:25 CEST||Starting BOINC client version 6.4.5 for i686-pc-linux-gnu
Do 16 Apr 2009 00:08:25 CEST||log flags: task, file_xfer, sched_ops
Do 16 Apr 2009 00:08:25 CEST||Libraries: libcurl/7.18.2 OpenSSL/0.9.8g zlib/1.2.3.3 libidn/1.10
Do 16 Apr 2009 00:08:25 CEST||Data directory: /var/lib/boinc-client
Do 16 Apr 2009 00:08:25 CEST|SETI@home|Found app_info.xml; using anonymous platform
Do 16 Apr 2009 00:08:26 CEST||Processor: 2 AuthenticAMD AMD Athlon(tm) 64 X2 Dual Core Processor 4800+ [Family 15 Model 107 Stepping 1]
Do 16 Apr 2009 00:08:26 CEST||Processor features: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch
Do 16 Apr 2009 00:08:26 CEST||OS: Linux: 2.6.28-11-generic
Do 16 Apr 2009 00:08:26 CEST||Memory: 1.97 GB physical, 2.97 GB virtual
Do 16 Apr 2009 00:08:26 CEST||Disk: 22.91 GB total, 16.43 GB free
Do 16 Apr 2009 00:08:26 CEST||Local time is UTC +2 hours
Do 16 Apr 2009 00:08:26 CEST||Not using a proxy
Do 16 Apr 2009 00:08:26 CEST||Can't load library libcudart
Do 16 Apr 2009 00:08:26 CEST||No coprocessors
Do 16 Apr 2009 00:08:26 CEST|Einstein@Home|URL: http://einstein.phys.uwm.edu/; Computer ID: 1867036; location: home; project prefs: default
Do 16 Apr 2009 00:08:26 CEST|SETI@home|URL: http://setiathome.berkeley.edu/; Computer ID: 4879716; location: (none); project prefs: default
Do 16 Apr 2009 00:08:26 CEST|Milkyway@home|URL: http://milkyway.cs.rpi.edu/milkyway/; Computer ID: 56211; location: home; project prefs: default
Do 16 Apr 2009 00:08:26 CEST||General prefs: from Milkyway@home (last modified 08-Apr-2009 00:18:12)
Do 16 Apr 2009 00:08:26 CEST||Computer location: home
Do 16 Apr 2009 00:08:26 CEST||General prefs: no separate prefs for home; using your defaults
Do 16 Apr 2009 00:08:26 CEST||Reading preferences override file
Do 16 Apr 2009 00:08:26 CEST||Preferences limit memory usage when active to 1006.22MB
Do 16 Apr 2009 00:08:26 CEST||Preferences limit memory usage when idle to 1811.20MB
Do 16 Apr 2009 00:08:26 CEST||Preferences limit disk usage to 10.00GB
Do 16 Apr 2009 00:08:26 CEST||file projects/setiathome.berkeley.edu/libcudart.so.2 not found
Do 16 Apr 2009 00:08:26 CEST||file projects/setiathome.berkeley.edu/libcufft.so.2 not found
Do 16 Apr 2009 00:08:26 CEST||[error] No URL for file transfer of libcudart.so.2
Do 16 Apr 2009 00:08:26 CEST||[error] No URL for file transfer of libcufft.so.2

Profile Ageless
Avatar
Send message
Joined: 9 Jun 99
Posts: 12130
Credit: 2,525,019
RAC: 653
Netherlands
Message 885918 - Posted: 16 Apr 2009, 22:23:11 UTC - in response to Message 885913.

Can you do a ldd boinc and post the outcome here, please? (that's a small case L)
____________
Jord

Loving awareness is free.

Freggel
Send message
Joined: 12 Apr 09
Posts: 5
Credit: 385
RAC: 0
Message 885933 - Posted: 16 Apr 2009, 23:04:05 UTC

Fist i had to say, i removed the
setiathome-CUDA-6.08.i686-pc-linux-gnu and app_info.xml Files
and RESET the Project to skip the Errors.

Here is the Result from ldd boinc

linux-gate.so.1 => (0xb8096000)
libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0xb807c000)
libcurl.so.4 => /usr/lib/libcurl.so.4 (0xb803e000)
libssl.so.0.9.8 => /lib/i686/cmov/libssl.so.0.9.8 (0xb7ff7000)
libcrypto.so.0.9.8 => /lib/i686/cmov/libcrypto.so.0.9.8 (0xb7eab000)
libz.so.1 => /lib/libz.so.1 (0xb7e95000)
libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7da6000)
libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0xb7d8d000)
libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0xb7d66000)
libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0xb7c03000)
/lib/ld-linux.so.2 (0xb8097000)
libidn.so.11 => /usr/lib/libidn.so.11 (0xb7bd0000)
liblber-2.4.so.2 => /usr/lib/liblber-2.4.so.2 (0xb7bc2000)
libldap_r-2.4.so.2 => /usr/lib/libldap_r-2.4.so.2 (0xb7b7e000)
librt.so.1 => /lib/tls/i686/cmov/librt.so.1 (0xb7b75000)
libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0xb7b49000)
libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb7b3a000)
libresolv.so.2 => /lib/tls/i686/cmov/libresolv.so.2 (0xb7b24000)
libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0xb7b0c000)
libgnutls.so.26 => /usr/lib/libgnutls.so.26 (0xb7a6f000)
libtasn1.so.3 => /usr/lib/libtasn1.so.3 (0xb7a5c000)
libgcrypt.so.11 => /lib/libgcrypt.so.11 (0xb79f3000)
libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0xb7961000)
libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0xb793d000)
libcom_err.so.2 => /lib/libcom_err.so.2 (0xb7939000)
libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0xb792f000)
libkeyutils.so.1 => /lib/libkeyutils.so.1 (0xb792b000)
libgpg-error.so.0 => /lib/libgpg-error.so.0 (0xb7927000)

Tschau Freggel

Profile Ageless
Avatar
Send message
Joined: 9 Jun 99
Posts: 12130
Credit: 2,525,019
RAC: 653
Netherlands
Message 885935 - Posted: 16 Apr 2009, 23:18:38 UTC - in response to Message 885933.

Make sure that the libcudart.so.2.0 is in the correct place. Not sure if that .0 should be on there, but I must confess I am not that well versed in Linux.

Also not sure if Toolkit 2.1 is completely backward compatible with driver 2.0; you may need libcudart.so.2.1 for it to work correctly. Doesn't the toolkit come with a driver? Or can you check in your package manager what is available?
____________
Jord

Loving awareness is free.

Freggel
Send message
Joined: 12 Apr 09
Posts: 5
Credit: 385
RAC: 0
Message 885944 - Posted: 16 Apr 2009, 23:49:31 UTC

Moin Ageless,

the libcudart.so.2.0 came from crunch3r and is in the cudalibs Folder.

The Toolkit came direct from NVidia.

I also wondering that Boinc is reporting "Can't load library libcudart"
the the Driver and the Toolkit bring the libcudart.

Tschau Freggel

Profile Ageless
Avatar
Send message
Joined: 9 Jun 99
Posts: 12130
Credit: 2,525,019
RAC: 653
Netherlands
Message 885945 - Posted: 17 Apr 2009, 0:02:03 UTC - in response to Message 885944.

the libcudart.so.2.0 came from crunch3r and is in the cudalibs Folder.

Yes, I saw that, but according to your ldd, it isn't loaded. So something somewhere isn't picking it up. perhaps it's a good idea to read through http://lunatics.kwsn.net/linux/seti-mb-cuda-for-linux.0.html and if necessary, register on that forum and ask questions in that thread. You may get an answer quicker there than through here. (especially with my limited knowledge of Linux)
____________
Jord

Loving awareness is free.

Questions and Answers : GPU applications : Can't get Cuda to run

Copyright © 2014 University of California